## ros-lunar-neonavigation-common 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(neonavigation_common)

find_package(catkin REQUIRED
  COMPONENTS
    roscpp
)

catkin_package(
  INCLUDE_DIRS include
	CATKIN_DEPENDS
    roscpp
)

include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX11)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
else()
  message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
endif()

include_directories(${catkin_INCLUDE_DIRS} include)


if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(roslint REQUIRED)
  roslint_cpp()
  roslint_add_test()
endif()

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-lunar-neonavigation-common (0.4.0-1xenial) xenial; urgency=high

  * Add LICENSE file (#270 <https://github.com/at-wat/neonavigation/issues/270>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 09 May 2019 00:00:00 -0000

ros-lunar-neonavigation-common (0.3.1-1xenial) xenial; urgency=high

  * Fix pointer alignment style (#233 <https://github.com/at-wat/neonavigation/issues/233>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 10 Jan 2019 00:00:00 -0000

ros-lunar-neonavigation-common (0.2.3-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 19 Jul 2018 00:00:00 -0000

ros-lunar-neonavigation-common (0.2.2-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 17 Jul 2018 00:00:00 -0000

ros-lunar-neonavigation-common (0.2.1-1xenial) xenial; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 14 Jul 2018 00:00:00 -0000

ros-lunar-neonavigation-common (0.2.0-1xenial) xenial; urgency=high

  * Fix topic/service namespace model (#168 <https://github.com/at-wat/neonavigation/issues/168>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 12 Jul 2018 00:00:00 -0000

=== debian/control ===
Source: ros-lunar-neonavigation-common
Section: misc
Priority: extra
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-roscpp, ros-lunar-roslint, ros-lunar-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-neonavigation-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-roscpp
Description: Common headers for neonavigation meta-package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-neonavigation-common//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
